<?
	global $sess;

	$cykl = $_GET[cykl];
	$sess->set("w_akt_cykl", $cykl);
	$sess->del("w_przedm");

	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		$id_os=$sess->get("id");
		$q = new CQuery("SELECT p.kod as przedmiot, nazwa, c.kod, c.opis
				FROM XP_PRZEDMIOTY p,
					XP_PROWADZACY_PRZEDMIOTY_CYKLI w,
					XP_CYKLE_DYDAKTYCZNE c
				WHERE ((w.prac_id=$id_os) AND
					(w.cdyd_kod=c.kod) AND
					(w.prz_kod=p.kod) AND
					(c.kod='$cykl'));");
		if ($q->num_rows()) {
			$sess->set("w_przedm", array());
			while ($arr = $q->fetch_array()) {
				$sess->setTab("w_przedm", $arr["przedmiot"], $arr["nazwa"]);
				$sess->set("w_akt_cykl_opis", $arr["opis"]);
			}
		}
	}
?>
